<bugID>565718<Summary>Show zoom indicator in UI if not at default zoom level</Summary><Description>Created attachment 445156
Zoom indicator in the URL bar

(Note: this is filed as part of the &#8220;Paper Cut&#8221; bugs &#8212; we assume that there may be multiple existing bugs on this. Please make them block this bug, and we will de-dupe if they are indeed exactly the same. Thanks!)

Currently, we don't have any UI in the main window to indicate or adjust the zoom level. I think going all the way (similar to IE and Opera) and showing the zoom control always is a bit unnecessary and causes clutter, but on the other hand we need to have a way for people to adjust this more easily &#8212;&#160;and more importantly: be able to restore the zoom level to the default when they accidentally changed it.

This is magnified by it being very easy to accidentally do a pinch gesture on Mac trackpads, which zooms in/out, and a lot of people don't realize how it happened. 

When we on top of that actually persist the zoom setting based on the domain, it's very frustrating when people don't know how to get back to the 100% zoom level.

Recommendation:
Introduce a main UI element that shows up *only when your zoom level is different from the default setting*. In this zoom menu, you can also opt to always keep the zoom widget visible.

The zoom control is page-specific, so in the new Firefox 4 UI should be in the visual hierarchy in a way that indicates this. Current sketch suggestion is attached.</Description></bugID>